> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Sharing Requests

> List your pending sharing requests, newest first.

By default, list agent activity. Use kind=all to include other memories.
Use search to reach older requests. Deciding a request removes it from this queue;
when has_more is true, list again after deciding the returned requests.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json get /memories/sharing/requests
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /memories/sharing/requests:
    get:
      tags:
        - Memories
      summary: List Sharing Requests
      description: >-
        List your pending sharing requests, newest first.


        By default, list agent activity. Use kind=all to include other memories.

        Use search to reach older requests. Deciding a request removes it from
        this queue;

        when has_more is true, list again after deciding the returned requests.
      operationId: list_sharing_requests_memories_sharing_requests_get
      parameters:
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
              - type: 'null'
            title: Q
        - name: kind
          in: query
          required: false
          schema:
            enum:
              - agent_activity
              - all
            type: string
            default: agent_activity
            title: Kind
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SharingRequests'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    SharingRequests:
      properties:
        requests:
          items:
            $ref: '#/components/schemas/SharingRequest'
          type: array
          title: Requests
        has_more:
          type: boolean
          title: Has More
        query:
          anyOf:
            - type: string
            - type: 'null'
          title: Query
        kind:
          type: string
          enum:
            - agent_activity
            - all
          title: Kind
      type: object
      required:
        - requests
        - has_more
        - query
        - kind
      title: SharingRequests
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SharingRequest:
      properties:
        source:
          type: string
          title: Source
        resource_id:
          type: string
          title: Resource Id
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        kind:
          anyOf:
            - type: string
            - type: 'null'
          title: Kind
        preview:
          anyOf:
            - type: string
            - type: 'null'
          title: Preview
        document_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Document Date
        audiences:
          items:
            type: string
          type: array
          title: Audiences
      type: object
      required:
        - source
        - resource_id
        - title
        - kind
        - preview
        - document_date
        - audiences
      title: SharingRequest
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.